Bug 809249 - Section 6.2 - Creating VirtualHost code block misprint [NEEDINFO]
Summary: Section 6.2 - Creating VirtualHost code block misprint
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Web Server 1
Classification: JBoss
Component: doc-HTTP-Connectors-Guide
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Kartikeya Dwivedi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 847557
TreeView+ depends on / blocked
 
Reported: 2012-04-02 20:54 UTC by Eric Sauer
Modified: 2019-06-13 12:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 847557 (view as bug list)
Environment:
Last Closed: 2019-06-13 12:09:39 UTC
Type: ---
gsheldon: needinfo? (esauer)


Attachments (Terms of Use)

Description Eric Sauer 2012-04-02 20:54:51 UTC
Description of problem:

In the following text:

# Create Virtual Host
Add the following to the file JBOSS_EWS_DIST/httpd/conf.d/JBoss_HTTP.conf:

<VirtualHost IP_ADDRESS:PORT_NUMBER>

   <Directory>
      Order deny,allow
      Deny from all
      Allow from 10.33.144.
   </Directory>

   KeepAliveTimeout 60
   MaxKeepAliveRequests 0

   ManagerBalancerName mycluster
   AdvertiseFrequency 5

</VirtualHost>

Where IP_ADDRESS and PORT_NUMBER are the values from the Listen directive. 

The <Directory> tag is missing a path (i.e. <Directory />, <Directory /var/www>). As is, code snippet will not work, causes start errors for Apache.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 gsheldon 2012-07-09 03:23:52 UTC
Hi Eric,

Could you please provide some more info on what the tag should look like/ what is required for the snippet to work as expected?

Thanks.

Comment 2 Misha H. Ali 2012-07-16 06:33:10 UTC
Eric,

Please confirm if the following amended code snippet contains the change you required:


# Create Virtual Host
Add the following to the file JBOSS_EWS_DIST/httpd/conf.d/JBoss_HTTP.conf:

<VirtualHost IP_ADDRESS:PORT_NUMBER>

   <Directory /var/www>
      Order deny,allow
      Deny from all
      Allow from 10.33.144.
   </Directory>

   KeepAliveTimeout 60
   MaxKeepAliveRequests 0

   ManagerBalancerName mycluster
   AdvertiseFrequency 5

</VirtualHost>

Comment 3 Misha H. Ali 2012-08-12 21:52:23 UTC
Requested Jean-Frederic to provide input on whether the fix in c#2 addresses the problem accurately.

Comment 5 Libor Fuka 2013-08-28 06:45:56 UTC
VERIFIED


Note You need to log in before you can comment on or make changes to this bug.